#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "ETierType.h"
#include "RiftGenericViewData.generated.h"

USTRUCT(BlueprintType)
struct FRiftGenericViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDateTime EndDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 CurrentTier;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 MaxTier;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 CurrentStars;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 StarsPerTiers;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool OwnPass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ETierType CurrentTierType;

public:
	DBDUIVIEWINTERFACES_API FRiftGenericViewData();
};

FORCEINLINE uint32 GetTypeHash(const FRiftGenericViewData) { return 0; }
